Subject: Re: Missing signoff in the rdma tree

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 9 Mar 2026 09:48:18 -0300

On Mon, Mar 09, 2026 at 12:43:16PM +0000, Mark Brown wrote:
> On Mon, Mar 09, 2026 at 01:52:26PM +0200, Leon Romanovsky wrote:
> > On Mon, Mar 09, 2026 at 11:46:07AM +0000, Mark Brown wrote:
> 
> > > No, I see signoffs from Sriharsha and Jason but not you and it's you who
> > > actually did the commit (see above, git show --pretty=fuller).  Did you
> > > by any chance rebase a branch where you'd pulled something from Jason
> > > (or which Jason had pushed to)?
> 
> > Jason applied, but I rebased that branch to drop patch which was taken
> > by mistake.
> 
> Right, if you do that you need to add your signoff to the rebased
> commits since they get rewritten during the rebase making you the
> committer.  Nothing looking at history can tell a rebase happened.  git
> rebase has a --signoff option for this.

I have to say we have tripped on this issue alot over the years :(

Jason